Subject: bug#55310: 27.2; vc-revert: unhelpful error message when modified buffers exist

From: Dmitry Gutov <[email-masked]>
Date: Wed, 12 Mar 2025 10:11:45 +0200

On 10/03/2025 09:06, Sean Whitton wrote:
>>> Idea (ideas are cheap): maybe if one could add some sort of
>>> high-light, or something in vc-dired that shows that this or that file
>>> has a open buffer that is unmodified, and then the error could be the
>>> same but just saying that one should check the highlighted buffers.
>> I think that's a good idea -- perhaps Dmitry has some comments; added to
>> the CCs.
> ISTM that a project-save-some-buffers is what's wanted here.
> 
> Dmitry, has there been a discussion about having something like that?

Last time this came up, a new value for 
save-some-buffers-default-predicate was added: save-some-buffers-root 
(bug#46374). So:

   (setopt save-some-buffers-default-predicate #'save-some-buffers-root)